#
# Conditional build:
%bcond_without	prof	# profiling library
#
%define		pkgname	attoparsec
Summary:	Fast combinator parsing for bytestrings
Summary(pl.UTF-8):	Szybki kombinator analizujący łańcuchy bajtów
Name:		ghc-%{pkgname}
Version:	0.13.2.4
Release:	2
License:	BSD
Group:		Development/Languages
#Source0Download: http://hackage.haskell.org/package/attoparsec
Source0:	http://hackage.haskell.org/package/%{pkgname}-%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	bbef0323147aaa59caccd5cb1289e719
URL:		http://hackage.haskell.org/package/attoparsec
BuildRequires:	ghc >= 6.12.3
BuildRequires:	ghc-array
BuildRequires:	ghc-base >= 3
BuildRequires:	ghc-bytestring
BuildRequires:	ghc-containers
BuildRequires:	ghc-deepseq
BuildRequires:	ghc-scientific >= 0.3.1
BuildRequires:	ghc-text >= 0.11.1.5
%if %{with prof}
BuildRequires:	ghc-prof >= 6.12.3
BuildRequires:	ghc-array-prof
BuildRequires:	ghc-base-prof >= 3
BuildRequires:	ghc-bytestring-prof
BuildRequires:	ghc-containers-prof
BuildRequires:	ghc-deepseq-prof
BuildRequires:	ghc-scientific-prof >= 0.3.1
BuildRequires:	ghc-text-prof >= 0.11.1.5
%endif
BuildRequires:	rpmbuild(macros) >= 1.608
%requires_eq	ghc
Requires(post,postun):	/usr/bin/ghc-pkg
Requires:	ghc-array
Requires:	ghc-base >= 3
Requires:	ghc-bytestring
Requires:	ghc-containers
Requires:	ghc-deepseq
Requires:	ghc-scientific >= 0.3.1
Requires:	ghc-text >= 0.11.1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

# don't compress haddock files
%define		_noautocompressdoc	*.haddock

%description
A fast parser combinator library, aimed particularly at dealing
efficiently with network protocols and complicated text/binary file
formats.

%description -l pl.UTF-8
Biblioteka szybkiego kombinatora analizatorów, przeznaczona
szczególnie do efektywnej obsługi protokołów sieciowych oraz
skomplikowanych formatów plików tekstowo-binarnych.

%package prof
Summary:	Profiling %{pkgname} library for GHC
Summary(pl.UTF-8):	Biblioteka profilująca %{pkgname} dla GHC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ghc-array-prof
Requires:	ghc-base-prof >= 3
Requires:	ghc-bytestring-prof
Requires:	ghc-containers-prof
Requires:	ghc-deepseq-prof
Requires:	ghc-scientific-prof >= 0.3.1
Requires:	ghc-text-prof >= 0.11.1.5

%description prof
Profiling %{pkgname} library for GHC. Should be installed when
GHC's profiling subsystem is needed.

%description prof -l pl.UTF-8
Biblioteka profilująca %{pkgname} dla GHC. Powinna być zainstalowana
kiedy potrzebujemy systemu profilującego z GHC.

%package doc
Summary:	HTML documentation for %{pkgname} ghc package
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla pakietu ghc %{pkgname}
Group:		Documentation

%description doc
HTML documentation for %{pkgname} ghc package.

%description doc -l pl.UTF-8
Dokumentacja w formacie HTML dla pakietu ghc %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
runhaskell Setup.lhs configure -v2 \
	%{?with_prof:--enable-library-profiling} \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version}

runhaskell Setup.lhs build
runhaskell Setup.lhs haddock --executables

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

runhaskell Setup.lhs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
%{__rm} -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} %{name}-%{version}-doc
%{__rm} -rf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

runhaskell Setup.lhs register \
	--gen-pkg-config=$RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%doc LICENSE README.markdown 
%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/libHSattoparsec-%{version}-*.so
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/libHSattoparsec-%{version}-*.a
%exclude %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/libHSattoparsec-%{version}-*_p.a
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/*.hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/*.dyn_hi
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Attoparsec
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Attoparsec/*.hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Attoparsec/*.dyn_hi
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Attoparsec/ByteString
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Attoparsec/ByteString/*.hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Attoparsec/ByteString/*.dyn_hi
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Attoparsec/Internal
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Attoparsec/Internal/*.hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Attoparsec/Internal/*.dyn_hi
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Attoparsec/Text
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Attoparsec/Text/*.hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Attoparsec/Text/*.dyn_hi

%if %{with prof}
%files prof
%defattr(644,root,root,755)
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/libHSattoparsec-%{version}-*_p.a
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/*.p_hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Attoparsec/*.p_hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Attoparsec/ByteString/*.p_hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Attoparsec/Internal/*.p_hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Data/Attoparsec/Text/*.p_hi
%endif

%files doc
%defattr(644,root,root,755)
%doc %{name}-%{version}-doc/*
%changelog
* Sat Mar 19 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ghc-attoparsec.git;a=log;h=master

* Sat Mar 19 2022 Jan Palus <atler@pld-linux.org> 605a59d
- rebuild with ghc 8.10.7

* Mon May 25 2020 Jan Rękorajski <baggins@pld-linux.org> cb98acf
- up to 0.13.2.4

* Sun May 24 2020 Jan Rękorajski <baggins@pld-linux.org> c044acf
- sane deps

* Sun Dec 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 0ba310c
- complete ghc dependencies list

* Mon Dec 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 428c6ab
- versioned ghc-prof BR

* Mon Dec 09 2013 Jakub Bogusz <qboosh@pld-linux.org> d5f5fc5
- install-time dependencies

* Sun Dec 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 63614f3
- updated to 0.10.4.0
- added prof bcond, html docs moved to -doc

* Fri Oct 11 2013 Jan Rękorajski <baggins@pld-linux.org> f910ea1
- fix docs
- rel 3

* Fri Oct 11 2013 Jan Rękorajski <baggins@pld-linux.org> 498893a
- fix docs install
- rel 2

* Fri Oct 11 2013 Jan Rękorajski <baggins@pld-linux.org> 72f27fd
- updated files
- rel 1

* Fri Oct 19 2012 Jan Rękorajski <baggins@pld-linux.org> 1fd8438
- new

